import java.applet.Applet;  // java applet sinifini cagir
import java.awt.*;          // java pencere kullanma sinifini cagir
import java.awt.event.*;    //  java pencereyi dinleme sinifini cagir

public class tamsayitoplaApplet extends Applet implements ActionListener
{
    //sinif degiskenleri
    Label kutubasligi; //Label sinifi degiskeni (nesnesi) kutubasligi
    TextField kutugirdisi;//Textfield sinifi degiskeni (nesnesi) kutugirdisi
    int sayi;
    int toplam; 
   
    // pencereyi baslatma metodu
    public void init()
    {
    kutubasligi=new Label("Bir tamsayi giriniz : ");
    add(kutubasligi);//kutubasligini pencereye yaz
    kutugirdisi=new TextField(10);
    add(kutugirdisi);//kutuyu pencereye yerlestir
    toplam=0;
    // kutuya yeni ilave edilecek komutlari bekle
    // her yeni komutta actionPerformed metodunu calistir.
    kutugirdisi.addActionListener(this);
    }
    
    // girdi alanindaki olan olaylari dinleme metodu
    public void actionPerformed(ActionEvent e)
    {
    //sayiyi pencereden oku
    Integer sayi1=new Integer(kutugirdisi.getText() );
    sayi=sayi1.intValue(); 
    // sayiyi okutma islemini asagidaki deyimle de yapabiliriz
    //  sayi=Integer.parseInt( e.getActionCommand() );
    toplam+=sayi;  // veya toplam=toplam+sayi;
    kutugirdisi.setText("");
    repaint();//pencereyi yeniden paint metoduna göre ciz
    }

    public void paint(Graphics g) 
    {
         g.drawString("Su ana kadarki sayilarin toplami : "+toplam,25,50);
    }
}
